Skip to main content
POST
/
v2
/
action-runs
Create an Action Run
curl --request POST \
  --url https://api.zapier.com/v2/action-runs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "action": "example_core:Vn7xbE60",
    "authentication": "example_QVaAreV1",
    "inputs": {
      "email": "me@example.com"
    }
  }
}
'
{
  "data": {
    "type": "run",
    "id": "123e4567-e89b-12d3-a456-426614174000"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.zapier.com/llms.txt

Use this file to discover all available pages before exploring further.

Running actions via the Workflow API is currently in limited beta. If you would like access to run actions, please contact whitelabel@zapier.com to request access.
This API is rate limited.

Authorizations

Authorization
string
header
required

See our OAuth2 authentication documentation here: https://docs.zapier.com/powered-by-zapier/api-reference/authentication

Body

application/json
data
object
required

Data for the Action Run

Callbacks

POST
{$request.body#/data/callback_url}actionRunCompleted

Body

application/json

Shape of the POST body Zapier sends to the partner's callback_url on run completion. Matches the polling response shape with the addition of id.

data
object
required

The status of the Action Run.

Response

2XX

Callback acknowledged

Response

data
object
required

The response after an Action Run